LINUX.ORG.RU

apt-build и зависимости


0

1

При сборке пакетов с помощью apt-build тянет много зависимостей, хотя если ставить с помощью apt-get install зависимостей нет. Например sudo apt-get install amarok ставится без зависимостей а

sudo apt-build install amarok --no-update
-----> Installing build dependencies (for amarok) <-----
Чтение списков пакетов... Готово
Построение дерева зависимостей       
Чтение информации о состоянии... Готово
Пакеты, которые будут УДАЛЕНЫ:
  gnome libgpod4 rhythmbox-plugins
НОВЫЕ пакеты, которые будут установлены:
  automoc banshee kdelibs5-dev kdemultimedia-dev krb5-multidev libatk1.0-dev libboo2.0.9-cil libcairo2-dev
  libcurl4-gnutls-dev libdbd-mysql-perl libdbi-perl libexpat1-dev libfontconfig1-dev libfreetype6-dev
  libgcrypt11-dev libgdata1.4-cil libgnutls-dev libgpg-error-dev libgpod-nogtk-dev libgpod4-nogtk
  libgtk2.0-dev libidn11-dev libifp-dev libifp4 libkcddb-dev libkrb5-dev libkrossui4 liblastfm-dev
  liblastfm-fingerprint0 libldap2-dev libloudmouth1-dev libmono-zeroconf1.0-cil libmtp-dev
  libmysqlclient-dev libmysqld-pic libnet-daemon-perl libnjb-dev libnjb5 libnotify0.4-cil libpango1.0-dev
  libphonon-dev libpixman-1-dev libplrpc-perl libqca2-dev libsoprano-dev libstreamanalyzer-dev
  libstreams-dev libstrigiqtdbusclient-dev libstrigiqtdbusclient0 libtag-extras-dev libtag1-dev
  libtaglib2.0-cil libtasn1-3-dev libusb-dev libwebkit1.1-cil libwrap0-dev libxcb-render-util0-dev
  libxcb-render0-dev libxcomposite-dev libxcursor-dev libxdamage-dev libxext-dev libxfixes-dev libxft-dev
  libxi-dev libxinerama-dev libxml2-dev libxrandr-dev libxrender-dev mysql-client-5.1 mysql-server-5.1
  pkg-kde-tools podsleuth x11proto-composite-dev x11proto-damage-dev x11proto-fixes-dev x11proto-randr-dev
  x11proto-render-dev x11proto-xext-dev x11proto-xinerama-dev
обновлено 0, установлено 80 новых пакетов, для удаления отмечено 3 пакетов, и 8 пакетов не обновлено.
Необходимо скачать 17,4 MB/46,4 MB архивов.
После данной операции, объём занятого дискового пространства возрастёт на 145 MB.
ВНИМАНИЕ: Следующие пакеты невозможно аутентифицировать!
  libgpod4-nogtk libboo2.0.9-cil libgdata1.4-cil libmono-zeroconf1.0-cil libnotify0.4-cil libtaglib2.0-cil
  libwebkit1.1-cil banshee libkrossui4 automoc libsoprano-dev libphonon-dev kdelibs5-dev libkcddb-dev
  kdemultimedia-dev libcurl4-gnutls-dev libpango1.0-dev libloudmouth1-dev libmtp-dev libmysqlclient-dev
  libmysqld-pic libnjb5 libnjb-dev libqca2-dev libstreams-dev libstreamanalyzer-dev libstrigiqtdbusclient0
  libstrigiqtdbusclient-dev libtag1-dev libtag-extras-dev podsleuth libgpod-nogtk-dev libifp-dev
  liblastfm-fingerprint0 liblastfm-dev pkg-kde-tools
N: Ignoring file 'apt-build' in directory '/etc/apt/sources.list.d/' as it has no filename extension
E: Существуют проблемы, а параметр -y указан без --force-yes
E: Обработка зависимостей для сборки завершилась неудачно
-----> Downloading source amarok (2.3.1-1) <-----
Чтение списков пакетов... Готово
Построение дерева зависимостей       
Чтение информации о состоянии... Готово
ВНИМАНИЕ: упаковка amarok поддерживается в системе контроля версий Git:
git://git.debian.org/git/users/modax/amarok.git
Пропускаем уже скачанный файл amarok_2.3.1-1.dsc
Пропускаем уже скачанный файл amarok_2.3.1.orig.tar.bz2
Пропускаем уже скачанный файл amarok_2.3.1-1.debian.tar.gz
Необходимо получить 0 б архивов исходного кода.
Пропускается распаковка уже распакованного исходного кода в amarok-2.3.1
N: Ignoring file 'apt-build' in directory '/etc/apt/sources.list.d/' as it has no filename extension
-----> Building amarok <-----
debchange: fatal error at line 643:
The backup file debian/changelog.dch already exists --
please move it before trying again
debchange: fatal error at line 643:
The backup file debian/changelog.dch already exists --
please move it before trying again
dpkg-buildpackage: экспорт CFLAGS из dpkg-buildflags (происхождение: vendor): -g -O2
dpkg-buildpackage: экспорт CPPFLAGS из dpkg-buildflags (происхождение: vendor): 
dpkg-buildpackage: экспорт CXXFLAGS из dpkg-buildflags (происхождение: vendor): -g -O2
dpkg-buildpackage: экспорт FFLAGS из dpkg-buildflags (происхождение: vendor): -g -O2
dpkg-buildpackage: экспорт LDFLAGS из dpkg-buildflags (происхождение: vendor): 
dpkg-buildpackage: пакет исходных текстов amarok
dpkg-buildpackage: версия исходных текстов 2.3.1-1
dpkg-buildpackage: исходные тексты изменены root 
dpkg-buildpackage: архитектура узла amd64
 dpkg-source --before-build amarok-2.3.1
dpkg-checkbuilddeps: Неудовлетворённые сборочные зависимости: pkg-kde-tools (>= 0.5) libtag1-dev (>= 1.6-2~) libtag-extras-dev (>= 1.0.1) kdelibs5-dev (>= 4:4.3.0) libsoprano-dev (>= 2.1.67) libstreamanalyzer-dev (>= 0.6.3) libstrigiqtdbusclient-dev (>= 0.6.3) libnjb-dev libifp-dev libmtp-dev (>= 0.3.0) libgpod-nogtk-dev (>= 0.7.0) | libgpod-dev (>= 0.7.0) libmysqld-pic (>= 5.1.36-2) libwrap0-dev libcurl4-gnutls-dev libxml2-dev libloudmouth1-dev libgtk2.0-dev kdemultimedia-dev (>= 4:4.2.0) libqca2-dev liblastfm-dev (>= 0.3) mysql-server-5.1 (>= 5.1.26rc)
dpkg-buildpackage: предупреждение: Неудовлетворительные зависимости/конфликты при сборке, останов.
dpkg-buildpackage: предупреждение: (Используйте параметр -d, чтобы продолжить сборку.)
----> Cleaning up object files <-----
Cleaning in directory .
dpkg-checkbuilddeps: Неудовлетворённые сборочные зависимости: pkg-kde-tools (>= 0.5) libtag1-dev (>= 1.6-2~) libtag-extras-dev (>= 1.0.1) kdelibs5-dev (>= 4:4.3.0) libsoprano-dev (>= 2.1.67) libstreamanalyzer-dev (>= 0.6.3) libstrigiqtdbusclient-dev (>= 0.6.3) libnjb-dev libifp-dev libmtp-dev (>= 0.3.0) libgpod-nogtk-dev (>= 0.7.0) | libgpod-dev (>= 0.7.0) libmysqld-pic (>= 5.1.36-2) libwrap0-dev libcurl4-gnutls-dev libxml2-dev libloudmouth1-dev libgtk2.0-dev kdemultimedia-dev (>= 4:4.2.0) libqca2-dev liblastfm-dev (>= 0.3) mysql-server-5.1 (>= 5.1.26rc)
debuild: fatal error at line 1289:
You do not appear to have all build dependencies properly met.
You can use mk-build-deps to generate a dummy package which
Depends on all the required packages, or you can install them
manually using dpkg or apt using the error messages just above
this message.
Cleaning in directory ./debian/patches
Directory ./debian/patches: contains no debian/changelog, skipping
Cleaning in directory ./.pc
Directory ./.pc: contains no debian/changelog, skipping
Error while building amarok!
Sorry, no package to install.


.

И еще. Какой тип процессора выбрать для intel core i5?? Пока выбрал core 2.

★★★★

Похоже, что apt-build как бы предлагает забить на amarok и поставить banshee. Иначе что он тогда делает в зависимостях?

mtfk ()

Тебе не приходило в голову, что для сборки нужны dev-пакеты? Неужели сложно заметить этот суффикс у большинства пакетов в списке?

GotF ★★★★★ ()

Какой тип процессора выбрать для intel core i5?? Пока выбрал core 2.

Можешь глянуть на gentoowiki.
pacname-dev это пакеты необходимые для сборки.
banshee — apt такой apt.

PS если влом выбирать тип процессора, то native никто не отменял.

tn1 ()
Ответ на: комментарий от tn1

Похоже, что apt-build как бы предлагает забить на amarok и поставить banshee. Иначе что он тогда делает в зависимостях?

Это он на все так ругается, пробовал apt-build mc, так пришлось вручную поставить около 5 пакетов.

Тебе не приходило в голову, что для сборки нужны dev-пакеты? Неужели сложно заметить этот суффикс у большинства пакетов в списке?

Это как??

ymuv ★★★★ ()
Ответ на: комментарий от ymuv

> пробовал apt-build mc, так пришлось вручную поставить около 5 пакетов.

Хз, как вам это все удается, у меня так не получается ))
но есть еще такая штука как auto-apt и который облегчает поиск зависимостей.
Вот «надписи на русском языке» о auto-apt:
http://www.proft.com.ua/2010/05/11/ustanovka-s-ishodnikov-v-ubuntu/

.

elipse ★★★ ()
Ответ на: комментарий от ymuv

>> Это как??

Ты вообще представляешь, как происходит сборка?

GotF ★★★★★ ()

На второй же строчке твой ответ на 1й вопрос (или это не вопрос?):

-----> Installing build dependencies (for amarok) <-----

corei7 появился только в gcc 4.6.0.

ono ()
Ответ на: комментарий от ymuv

Это как??

ммм ... программы/библиотеки для сборки. +Надо скачать исходный код.

Это он на все так ругается, пробовал apt-build mc, так пришлось вручную поставить около 5 пакетов.

Debian — бинарный дистр с «возможностью» компиляции из сорцов. Если тебе нужна компиляция ставь Calculate linux.

tn1 ()

Пока выбрал core 2.

vs

dpkg-buildpackage: экспорт CFLAGS из dpkg-buildflags (происхождение: vendor): -g -O2

И где тут -march=core2 ? +Мой совет юзай native.

tn1 ()
Ответ на: комментарий от GotF

Что это, и почему оно необходимо для компиляции?

Ну ... оно необходимо для просмотра установленных пакетов. +Удаления их оттуда с последующим emerge -c.

tn1 ()
Ответ на: комментарий от tn1

Мгм. А зачем это в Дебиане, если даже после apt-build world всё рулится (ну, должно, сам не пробовал) штатными средствами?

GotF ★★★★★ ()
Ответ на: комментарий от GotF

Мгм. А зачем это в Дебиане, если даже после apt-build world всё рулится (ну, должно, сам не пробовал) штатными средствами?

В debian может и ненужно. Мне удобнее vim + emerge -c, вместо emerge -C <pac> <pac> ... emerge -c.

tn1 ()
Ответ на: комментарий от GotF

Не надо кавычки. Всё там есть, кроме USE.

А это, что? +Ещё на хабре был пост о apt-build(точнее о том, что он коряво обрабатывает флаги компилятора)

tn1 ()
Ответ на: комментарий от tn1

А, теперь понятна идея. Наверно, действительно не очень нужно, но какие-то возможности по манипуляции списками пакетов в Debian имеются, правда, я с ними не знакомился пока, хотя следовало бы :)

GotF ★★★★★ ()
Ответ на: комментарий от tn1

Это я прокомментировать уже не могу, т.к. сам ни разу это не делал. Не исключено, что для устранения корявостей там нужно чтение документации.

GotF ★★★★★ ()
Ответ на: комментарий от GotF

А $FEATURES, есть?(для установка пакетов без doc, info man ...)

+мой пример FEATURES=«${FEATURES} noinfo nodoc candy» — без /usr/share/{doc,info} +мутированная думалка emerge.

tn1 ()
Ответ на: комментарий от tn1

В таком виде — нет, вроде. Насколько удобно это можно реализовать, я тоже не знаю. Всё-таки это не SB-дистрибутив, здесь предоставляется лишь необходимый минимум для желающих иметь какие-то пакеты с отличными от стандартных параметрами сборки, но без заморочек с ручной сборкой.

GotF ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.